import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';

Vue.use(VueRouter);
const routes = [
  {
    path: '/',
    component: () => import('../views/home/index.vue'),
  },
  // 测试菜单+列表
  {
    path: '/test/index',
    component: () => import('../views/test/index.vue'),
  },
  // 测试菜单+添加
  {
    path: '/test/detail',
    component: () => import('../views/test/detail.vue'),
  },
  // 登录
  {
    path: '/login',
    name: 'login',
    component: () => import('../views/login.vue'),
  },
  // 其他用户类型-列表
  {
    path: '/otherUser/index',
    component: () => import('../views/otherUser/index.vue'),
  },
  // 其他用户类型-添加
  {
    path: '/otherUser/detail',
    component: () => import('../views/otherUser/detail.vue'),
  },
];
const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : '',
  routes,
});
router.beforeEach((to, form, next) => {
  store.commit('setUser');
  if (to.name === 'login') {
    next();
    return;
  }
  let user = store.state.user;
  if (user) {
    next();
  }
  //下面是没登录的情况,需要跳转页面到用户未登录页
  else next({ name: 'login' });
});

export default router;
